IMPORTANT NOTICE: [nodejs-buildpack] End of Support for Node versions 10.x.x after 2021-05-27


Elliott Shanks <shankse@...>
 

The first release of the Node.js buildpack after May 27, 2021 will no longer include Node versions 10.x.x. These Node.js versions will no longer be supported upstream.[1] Please migrate your Node.js apps to supported versions of Node.js before that time.


Note: As 10.x.x is the current default version of Node.js in the buildpack, the default Node.js version will be updated to 14.x.x as a part of this removal. If you’d like to use a different Node.js version, please configure your application to select that version[2].


As always, the buildpacks team is happy to answer questions you may have about this deprecation in the #buildpacks Slack channel.


[1] - https://github.com/nodejs/Release 

[2] - https://docs.cloudfoundry.org/buildpacks/node/node-tips.html#buildpack 


Thanks,

Elliott Shanks, Buildpacks


Join cf-dev@lists.cloudfoundry.org to automatically receive all group messages.